# BEGIN SourceDeps(oneline):
BuildRequires: perl(Kwiki.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Kwiki-GoogleLink
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Embed Google search
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MJ/MJG/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This was written as a demonstration of a plugin to add a new WAFL
phrase to the Kwiki formatting rules.

This plugin makes it quick and easy to add a Google search link to a
Kwiki page, for example:

    Search Google for: {google:Kwiki}

will be rendered as

    Search Google for: <a href="http://www.google.com/search?q=Kwiki">Kwiki</a>

This example can be used as the basis for custom shortcuts at your own
site.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/K*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

